ON_PolynomialSurface Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h>`

## Public Member Functions

| ON_PolynomialSurface ()
| ON_PolynomialSurface (int, ON_BOOL32, int, int)
| ~ON_PolynomialSurface ()
| ON_PolynomialSurface (const ON_PolynomialSurface &)
| ON_PolynomialSurface (const ON_BezierSurface &)
ON_PolynomialSurface & | operator= (const ON_PolynomialSurface &)
ON_PolynomialSurface & | operator= (const ON_BezierSurface &)
ON_BOOL32 | Create (int, ON_BOOL32, int, int)
void | Destroy ()
ON_BOOL32 | Evaluate (double s, double t, int der_count, int v_stride, double *v) const

## Public Attributes

int | m_dim
int | m_is_rat
int | m_order [2]
ON_4dPointArray | m_cv
ON_Interval | m_domain [2]

## Detailed Description

Definition at line 108 of file opennurbs_bezier.h.

## Constructor & Destructor Documentation

## ON_PolynomialSurface() [1/4]

ON_PolynomialSurface::ON_PolynomialSurface | ( |  | ) |

## ON_PolynomialSurface() [2/4]

ON_PolynomialSurface::ON_PolynomialSurface | ( | int | ,
|  | ON_BOOL32 | ,
|  | int | ,
|  | int |
| ) |  |

## ~ON_PolynomialSurface()

ON_PolynomialSurface::~ON_PolynomialSurface | ( |  | ) |

## ON_PolynomialSurface() [3/4]

ON_PolynomialSurface::ON_PolynomialSurface | ( | const ON_PolynomialSurface & |  | ) |

## ON_PolynomialSurface() [4/4]

ON_PolynomialSurface::ON_PolynomialSurface | ( | const ON_BezierSurface & |  | ) |

## Member Function Documentation

## Create()

ON_BOOL32 ON_PolynomialSurface::Create | ( | int | ,
|  | ON_BOOL32 | ,
|  | int | ,
|  | int |
| ) |  |

## Destroy()

void ON_PolynomialSurface::Destroy | ( |  | ) |

## Evaluate()

ON_BOOL32 ON_PolynomialSurface::Evaluate | ( | double | s,
|  | double | t,
|  | int | der_count,
|  | int | v_stride,
|  | double * | v
| ) |  | const

## operator=() [1/2]

ON_PolynomialSurface& ON_PolynomialSurface::operator= | ( | const ON_PolynomialSurface & |  | ) |

## operator=() [2/2]

ON_PolynomialSurface& ON_PolynomialSurface::operator= | ( | const ON_BezierSurface & |  | ) |

## Member Data Documentation

## m_cv

ON_4dPointArray ON_PolynomialSurface::m_cv

Definition at line 143 of file opennurbs_bezier.h.

## m_dim

int ON_PolynomialSurface::m_dim

Definition at line 140 of file opennurbs_bezier.h.

## m_domain

ON_Interval ON_PolynomialSurface::m_domain[2]

Definition at line 145 of file opennurbs_bezier.h.

## m_is_rat

int ON_PolynomialSurface::m_is_rat

Definition at line 141 of file opennurbs_bezier.h.

## m_order

int ON_PolynomialSurface::m_order[2]

Definition at line 142 of file opennurbs_bezier.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h